> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitgpt.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice providers

> Retrieve list of available payment providers for a specific invoice by ID



## OpenAPI

````yaml get /providers/{invoice_id}
openapi: 3.1.0
info:
  title: BitGPT 402pay API
  description: Full description of private and dev-availble API endpoints
  version: 1.0.0
  termsOfService: https://bitgpt.xyz/terms
  contact:
    name: API Support
    url: https://help.bitgpt.xyz
    email: support@bitgpt.xyz
servers:
  - url: https://api.bitgpt.xyz
    description: Production API server
security: []
tags:
  - name: Payments
    description: Invoice and payment management endpoints
  - name: Products
    description: Product management endpoints
  - name: dev-api
    description: Developer API endpoints
externalDocs:
  description: Full BitGPT 402pay API documentation
  url: https://docs.bitgpt.xyz
paths:
  /providers/{invoice_id}:
    get:
      tags:
        - Payments
        - dev-api
      summary: Get invoice providers
      description: >-
        Retrieve list of available payment providers for a specific invoice by
        ID
      operationId: getInvoiceProviders
      parameters:
        - name: invoice_id
          in: path
          required: true
          description: Invoice ID
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/listInvoiceProvidersResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  responses:
    '400':
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                enum:
                  - 400
                  - 401
                  - 403
                  - 404
                description: Status code of the response
              data:
                type:
                  - object
                  - 'null'
                description: Response data containing the requested object
              error:
                type:
                  - string
                  - 'null'
                examples:
                  - Invalid email address
                description: Error message of the response, human readable
              message:
                type: 'null'
              env:
                type: string
                enum:
                  - development
                  - production
                description: API environment
              log:
                type:
                  - string
                  - object
                  - 'null'
                examples:
                  - request_id: req_1234567890
                  - Some pertinent log message
                description: Useful informaiton, not always present, to debug the response
              validator:
                type:
                  - object
                  - 'null'
                examples:
                  - email: Invalid email address
                    password: Password is required
                description: >-
                  Validator response object, each key is the field name and
                  value is the error message
              support_id:
                type:
                  - string
                  - 'null'
                format: uuid
                examples:
                  - support_uuidv7-something-else
                description: >-
                  Support ID linked to the response, used to identify it when
                  talking with our team
            required:
              - status
              - error
              - message
              - env
              - log
              - validator
              - support_id
    '401':
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            allOf:
              - type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                      - 401
                      - 403
                      - 404
                    description: Status code of the response
                  data:
                    type:
                      - object
                      - 'null'
                    description: Response data containing the requested object
                  error:
                    type:
                      - string
                      - 'null'
                    examples:
                      - Invalid email address
                    description: Error message of the response, human readable
                  message:
                    type: 'null'
                  env:
                    type: string
                    enum:
                      - development
                      - production
                    description: API environment
                  log:
                    type:
                      - string
                      - object
                      - 'null'
                    examples:
                      - request_id: req_1234567890
                      - Some pertinent log message
                    description: >-
                      Useful informaiton, not always present, to debug the
                      response
                  validator:
                    type:
                      - object
                      - 'null'
                    examples:
                      - email: Invalid email address
                        password: Password is required
                    description: >-
                      Validator response object, each key is the field name and
                      value is the error message
                  support_id:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    examples:
                      - support_uuidv7-something-else
                    description: >-
                      Support ID linked to the response, used to identify it
                      when talking with our team
                required:
                  - status
                  - error
                  - message
                  - env
                  - log
                  - validator
                  - support_id
              - properties:
                  status:
                    type: integer
                    enum:
                      - 401
    '403':
      description: You do not have the required permissions to access this resource
      content:
        application/json:
          schema:
            allOf:
              - type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                      - 401
                      - 403
                      - 404
                    description: Status code of the response
                  data:
                    type:
                      - object
                      - 'null'
                    description: Response data containing the requested object
                  error:
                    type:
                      - string
                      - 'null'
                    examples:
                      - Invalid email address
                    description: Error message of the response, human readable
                  message:
                    type: 'null'
                  env:
                    type: string
                    enum:
                      - development
                      - production
                    description: API environment
                  log:
                    type:
                      - string
                      - object
                      - 'null'
                    examples:
                      - request_id: req_1234567890
                      - Some pertinent log message
                    description: >-
                      Useful informaiton, not always present, to debug the
                      response
                  validator:
                    type:
                      - object
                      - 'null'
                    examples:
                      - email: Invalid email address
                        password: Password is required
                    description: >-
                      Validator response object, each key is the field name and
                      value is the error message
                  support_id:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    examples:
                      - support_uuidv7-something-else
                    description: >-
                      Support ID linked to the response, used to identify it
                      when talking with our team
                required:
                  - status
                  - error
                  - message
                  - env
                  - log
                  - validator
                  - support_id
              - properties:
                  status:
                    type: integer
                    enum:
                      - 403
    listInvoiceProvidersResponse:
      description: Available payment providers retrieved successfully
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Response200'
              - $ref: '#/components/schemas/listInvoiceProvidersResponse'
  schemas:
    Response200:
      type: object
      properties:
        status:
          type: integer
          enum:
            - 200
            - 201
            - 202
          description: Status code of the response
        data:
          type:
            - object
            - array
            - 'null'
          description: Response data containing the requested object
        error:
          type:
            - string
            - 'null'
          examples:
            - Invalid email address
          description: Error message of the response, human readable
        message:
          type:
            - string
            - 'null'
          examples:
            - Resource created successfully
          description: Message of the response, human readable
        env:
          type: string
          enum:
            - development
            - production
          description: API environment
        log:
          type:
            - string
            - object
            - 'null'
          examples:
            - request_id: req_1234567890
            - Some pertinent log message
          description: Useful informaiton, not always present, to debug the response
        validator:
          type:
            - object
            - 'null'
          examples:
            - email: Invalid email address
              password: Password is required
          description: >-
            Validator response object, each key is the field name and value is
            the error message
        support_id:
          type:
            - string
            - 'null'
          format: uuid
          examples:
            - support_uuidv7-something-else
          description: >-
            Support ID linked to the response, used to identify it when talking
            with our team
      required:
        - status
        - data
        - message
        - env
      examples:
        - status: 200
          data:
            id: '123'
          error: null
          log: null
          validator: null
          support_id: null
          message: Resource created successfully
          env: development
    listInvoiceProvidersResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            providers:
              type: array
              description: List of available payment providers for the invoice
              items:
                $ref: '#/components/schemas/provider'
          required:
            - providers
      required:
        - data
      examples:
        - data:
            providers:
              - id: prov_solana_usdc
                provider: CRYPTO
                network: SOLANA
                gateway: USDC
                type: native
                filters:
                  - evm
                  - svm
                metadata:
                  decimals: 6
                  contract_address: '0x2791bca1f2de4661ed88a30c99a7a9449aa84174'
                  image_url: https://example.com/usdc.png
                  image_url_network: https://example.com/usdc_network.png
    provider:
      type: object
      description: Payment provider information
      properties:
        id:
          $ref: '#/components/schemas/providerId'
        provider:
          $ref: '#/components/schemas/providerName'
        network:
          $ref: '#/components/schemas/providerNetwork'
        gateway:
          $ref: '#/components/schemas/providerGateway'
        type:
          $ref: '#/components/schemas/providerType'
        filters:
          $ref: '#/components/schemas/providerFilters'
        metadata:
          $ref: '#/components/schemas/providerMetadata'
      required:
        - id
        - provider
        - network
        - gateway
    providerId:
      description: Payment provider ID used around the API as reference.
      type: string
      enum:
        - provider_base_ethereum
        - provider_base_usdc
        - provider_binance_smart_chain_binance_coin
        - provider_binance_smart_chain_usdc
        - provider_binance_smart_chain_usdt
        - provider_bitcoin_bitcoin
        - provider_bitcoin_cash_bitcoin_cash
        - provider_dogecoin_dogecoin
        - provider_ethereum_ethereum
        - provider_ethereum_usdc
        - provider_ethereum_usdt
        - provider_litecoin_litecoin
        - provider_polygon_polygon
        - provider_polygon_usdc
        - provider_polygon_usdc_native
        - provider_polygon_usdt
        - provider_ripple_ripple
        - provider_solana_solana
        - provider_solana_usdc
        - provider_solana_usdt
        - provider_stripe_acss_debit
        - provider_stripe_affirm
        - provider_stripe_afterpay_clearpay
        - provider_stripe_alipay
        - provider_stripe_alma
        - provider_stripe_amazon_pay
        - provider_stripe_au_becs_debit
        - provider_stripe_bacs_debit
        - provider_stripe_bancontact
        - provider_stripe_billie
        - provider_stripe_blik
        - provider_stripe_boleto
        - provider_stripe_card
        - provider_stripe_card_present
        - provider_stripe_cashapp
        - provider_stripe_crypto
        - provider_stripe_customer_balance
        - provider_stripe_eps
        - provider_stripe_fpx
        - provider_stripe_giropay
        - provider_stripe_grabpay
        - provider_stripe_ideal
        - provider_stripe_interac_present
        - provider_stripe_kakao_pay
        - provider_stripe_klarna
        - provider_stripe_konbini
        - provider_stripe_kr_card
        - provider_stripe_link
        - provider_stripe_mobilepay
        - provider_stripe_multibanco
        - provider_stripe_naver_pay
        - provider_stripe_nz_bank_account
        - provider_stripe_oxxo
        - provider_stripe_p24
        - provider_stripe_pay_by_bank
        - provider_stripe_payco
        - provider_stripe_paynow
        - provider_stripe_paypal
        - provider_stripe_pix
        - provider_stripe_promptpay
        - provider_stripe_revolut_pay
        - provider_stripe_samsung_pay
        - provider_stripe_satispay
        - provider_stripe_sepa_debit
        - provider_stripe_sofort
        - provider_stripe_swish
        - provider_stripe_twint
        - provider_stripe_us_bank_account
        - provider_stripe_wechat_pay
        - provider_stripe_zip
        - provider_tron_tron
        - provider_tron_usdt
      examples:
        - provider_solana_usdc
        - provider_stripe_card
    providerName:
      description: >-
        Provider name. Each payment system has a different name (e.g. CRYPTO
        means that this payment provider is linked to the main crypto payment
        system).
      type: string
      enum:
        - CRYPTO
        - STRIPE
      examples:
        - CRYPTO
    providerNetwork:
      description: >-
        Payment network. For cryptocurrencies it's the blockchain name, for fiat
        it's the rail (direct card or a regional method).
      type: string
      enum:
        - BASE
        - BINANCE_SMART_CHAIN
        - BITCOIN
        - ARK
        - BITCOIN_CASH
        - DOGECOIN
        - ETHEREUM
        - LITECOIN
        - POLYGON
        - RIPPLE
        - SOLANA
        - TRON
        - CARD
        - APM
      examples:
        - SOLANA
        - CARD
    providerGateway:
      description: Payment gateway.
      type: string
      enum:
        - ETHEREUM
        - USDC
        - BINANCE_COIN
        - USDT
        - BITCOIN
        - BITCOIN_CASH
        - DOGECOIN
        - LITECOIN
        - POLYGON
        - USDC_NATIVE
        - RIPPLE
        - SOLANA
        - ACSS_DEBIT
        - AFFIRM
        - AFTERPAY_CLEARPAY
        - ALIPAY
        - ALMA
        - AMAZON_PAY
        - AU_BECS_DEBIT
        - BACS_DEBIT
        - BANCONTACT
        - BILLIE
        - BLIK
        - BOLETO
        - CARD
        - CARD_PRESENT
        - CASHAPP
        - CRYPTO
        - CUSTOMER_BALANCE
        - EPS
        - FPX
        - GIROPAY
        - GRABPAY
        - IDEAL
        - INTERAC_PRESENT
        - KAKAO_PAY
        - KLARNA
        - KONBINI
        - KR_CARD
        - LINK
        - MOBILEPAY
        - MULTIBANCO
        - NAVER_PAY
        - NZ_BANK_ACCOUNT
        - OXXO
        - P24
        - PAY_BY_BANK
        - PAYCO
        - PAYNOW
        - PAYPAL
        - PIX
        - PROMPTPAY
        - REVOLUT_PAY
        - SAMSUNG_PAY
        - SATISPAY
        - SEPA_DEBIT
        - SOFORT
        - SWISH
        - TWINT
        - US_BANK_ACCOUNT
        - WECHAT_PAY
        - ZIP
        - TRON
      examples:
        - SOLANA
        - CARD
    providerType:
      description: >-
        Used to identify whether the gateway is a native blockchain asset or a
        native system method (e.g. USDC on Solana or Klarna on Stripe would
        equal to additional).
      type: string
      enum:
        - native
        - additional
      examples:
        - native
    providerFilters:
      description: >-
        Useful filters to search for a provider. evm = Ethereum Virtual Machine,
        xvm = Any Virtual Machine (Ethereum, Solana, Binance Smart Chain, etc),
        svm = Solana Virtual Machine, tvm = Tron Virtual Machine, btc = Any
        BTC-based (Bitcoin, Bitcoin Cash, Dogecoin, Litecoin, etc)
      type:
        - array
        - 'null'
      items:
        type:
          - string
          - 'null'
        enum:
          - evm
          - xvm
          - svm
          - tvm
          - btc
          - xrp
      examples:
        - - evm
          - xvm
        - - btc
    providerMetadata:
      description: Additional metadata for the provider.
      type:
        - object
        - 'null'
      properties:
        decimals:
          type: number
          description: >-
            Number of decimals for the token or native asset. E.g. 18 decimals
            on ETHEREUM.
        contract_address:
          type: string
          description: Contract address for the token asset.
        detection_min_amount:
          type: number
          description: >-
            Minimum amount for the provider to be detected for deposit and
            withdrawal operations (unrelated to payments). This amount is
            already multiplied by the 10^decimals.
        network_logo:
          type: string
          description: Image URL for the logo of the provider.
        gateway_logo:
          type: string
          description: Image URL for the logo of the network.
      examples:
        - decimals: 18
          contract_address: '0x0000000000000000000000000000000000000000'
          detection_min_amount: 0.0001
          image_url: https://example.com/usdc.png
          image_url_network: https://example.com/usdc_network.png

````